Results 1 to 4 of 4



Thread: Compile PL3?

  1. #1
    Senior Member Fr33m4n's Avatar
    Join Date
    Dec 2007
    Posts
    104

    [UnAnswered] Compile PL3?


    I'm trying to learn how to compile my own PSGroove in linux ubuntu.

    I wasn't doing so bad until everything started working, but now that it appears things are working I no longer have any error messages to google and that means I'm totally lost.

    Sounds strange? Read on.

    As far as I can tell it's not possible to download one of those zip archives that's floating around containing the source to PSGroove. Because when I did that and tried to "make" it, it simply complained about missing lufa-libs.

    Eventually I learned that you could git clone PL3. Then I figured out that I could copy the ps3toolchain (that I had installed earlier) into the ps3toolchain folder inside the git cloned PL3 folder.

    After I had done that I could simply type "make" in terminal and it started working with no errors.

    But that's not what I want. I want to make psgroove for fw3.15. So if you read in the makefile file it says that:
    # This isn't enough, you must also add rules for the filename_fw with the -D define
    and that makes absolutely no sense to me what so ever.
    1. add rules where?
    2. what rules?
    3. what is filename_fw?
    4. how do you use the "-D define" and where?

    So that's basically where I'm stuck. Any help would be appreciated.

  2. #2
    Registered User kally12's Avatar
    Join Date
    Sep 2010
    Posts
    58

    First off, you forgot to svn/git clone psgroove and that's why lufa-libs is missing. Don't grab "those" zip archives because they are missing dependencies.

    You need to look at that makefile again, as you are completely ignoring the available arguments. you could have then easily typed 'make all' to get all payloads built at once. There are specific build commands for every payload, but you didn't check the makefile completely.

  3. #3
    Registered User duventj's Avatar
    Join Date
    Aug 2005
    Posts
    4
    Just install ppu-gcc and type make..

  4. #4
    Senior Member Fr33m4n's Avatar
    Join Date
    Dec 2007
    Posts
    104
    Guess I don't really know how to read that makefile. I'm not even sure if I'm supposed to specify those arguments in terminal or if I should modify the makefile.

    I've decided to try and start over. I've properly git cloned both psgroove and ps3toolchain (still installing, again). After that I will git clone PL3 again.

    As I'm waiting for the toolchain to finish I'm trying to interpret the makefile from PL3, but I just don't understand it. I've looked at it and I'm comparing it to the psgroove makefile but they are totally different. Also, the makefile from psgroove has plenty of comments to explain everything. There are hardly any in the PL3 makefile.

    And then there is the last thing I don't get. Herems ports or whatever you wanna call them. They aren't on git as far as I've been able to tell. How are you supposed to git clone those and get the proper dependencies working there?